package tutorialJava.capitulo9_AWT_SWING.v05_JListConDefaultListModel.controller;

import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.capitulo9_AWT_SWING.v05_JListConDefaultListModel.model.Persona;
;


public class ControladorPersona {

	
	public static List<Persona> findAll() {
		List<Persona> l = new ArrayList<Persona>();
		
		try {
			ResultSet rs = ConnectionManager.getConnection().createStatement()
					.executeQuery("Select * from persona");
			while (rs.next()) {
				Persona p = new Persona();
				p.setId(rs.getInt("id"));
				p.setNombre(rs.getString("nombre"));
				p.setApellido1(rs.getString("apellido1"));
				p.setApellido2(rs.getString("apellido2"));
				p.setFechaNacimiento(rs.getDate("fechaNacimiento"));
				p.setEdad(rs.getInt("edad"));
				p.setActivo(rs.getBoolean("activo"));
				p.setIdProvincia(rs.getInt("idProvincia"));
				p.setProvincia(ControladorProvincia.findById(p.getIdProvincia()));
				l.add(p);
			}			
		} catch (Exception e) {
			e.printStackTrace();
		}
		return l;		
	}
	
}










